Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal.http
Class HTTPMarshaller

    java.lang.Object
      org.jboss.remoting.marshal.serializable.SerializableMarshaller
          org.jboss.remoting.marshal.http.HTTPMarshaller

All Implemented Interfaces:
  java.io.Serializable, Marshaller, PreferredStreamMarshaller, SerialMarshaller, VersionedMarshaller

    public class HTTPMarshaller

extends SerializableMarshaller

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATATYPE`

Constructor Summary
`HTTPMarshaller()`

Method Summary
`Marshaller` | `cloneMarshaller()`
`void` | `write(java.lang.Object dataObject, java.io.OutputStream output, int version)` Take the data object and write to the output.

Methods inherited from class org.jboss.remoting.marshal.serializable.SerializableMarshaller
`getMarshallingStream, getMarshallingStream, getSerializationType, setSerializationType, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE

    public static final java.lang.String DATATYPE

See Also:
  Constant Field Values

Constructor Detail

### HTTPMarshaller

    public HTTPMarshaller()

Method Detail

### write

    public void write(java.lang.Object dataObject,
                      java.io.OutputStream output,
                      int version)
               throws java.io.IOException

  Take the data object and write to the output. If the data object is of type String, will just write the bytes of the String, otherwise will use the SerializableMarshaller implementation.

  Specified by:
    `write` in interface `VersionedMarshaller`
  Overrides:
    `write` in class `SerializableMarshaller`
  Parameters:
    `dataObject` - Object to be writen to output
    `output` - The data output to write the object data to.
    `version` - Wire format version.
  Throws:
    `java.io.IOException`

### cloneMarshaller

    public Marshaller cloneMarshaller()
                               throws java.lang.CloneNotSupportedException

  Specified by:
    `cloneMarshaller` in interface `Marshaller`
  Overrides:
    `cloneMarshaller` in class `SerializableMarshaller`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.